function shuffle(array) {
  var result = [].concat(array); // Shallow copy, values are copied by reference
  for (var i = result.length - 1; i > 0; i--) {
    var j = Math.floor(Math.random() * (i + 1));
    var temp = result[i];
    result[i] = result[j];
    result[j] = temp;
  }
  return result;
}
export { shuffle };